#!/bin/bash

REPORTS_DIR="/var/www/html/recoveryconsole/reports.dir"
XSLT_DIR="/var/www/html/recoveryconsole/bpl/configure"
RETENTION_REPORT=${REPORTS_DIR}/retention.pdf
WWW_RETENTION_REPORT=reports.dir/retention.pdf

curl -k "https://localhost/recoveryconsole/bpl/configure/retention.php/?auth=1:&type=list" | \
	xsltproc --stringparam report_type ${1:-short} ${XSLT_DIR}/retention.xsl - | \
	wkhtmltopdf - $RETENTION_REPORT

chmod 644 $RETENTION_REPORT 2>/dev/null
echo "html:"${WWW_RETENTION_REPORT}
