# Enable core dumps
ulimit -S -c unlimited

echo $PATH |grep usr.local.bin >/dev/null 2>&1
if [ $? -ne 0 ]; then
   PATH=$PATH:/usr/local/bin
   export PATH
fi

## PYTHONPATH
test /etc/bp/conf.sh && . /etc/bp/conf.sh

## Add timestamps to bash history and increase size of history
HISTSIZE=100000
HISTFILESIZE=200000
HISTTIMEFORMAT='%F %H:%M:%S '

